
I walked towards the orchard, it was silvery white and beautiful. I saw those I knew but had never met in this life, I was light and felt no pain, up until then my arm was in shreds and I was in pain. As I neared the beautiful orchard, I came to a cold stream. I knew, as if being told, I can never come back if I cross this stream. I didn't like my life so far, so I battled against it but couldn't cross it. Bang! I was back in my body with headache pain and heaviness, it hurt so much, but I was alive again.

In my parents’ house, I turned the fire up as I was freezing. I put all my clothes in the bath, I ran cold water into it and the bath was red with blood. As I slept my heartbeat got shallower and shallower and faster, at some point, the beats were so shallow and fast they became just one spasm.

I popped out and saw the colors coming from my parents’ bodies as they slept. I saw through walls and I passed through them. I lit up everything around me as if giving off white light. I shot off and the mountainous hills were like molehills. I soared at full speed through a black or dark space. I eventually saw a small prick of light that became bigger and as if playing music; it started to envelope me with love. It was alive! It spoke to me; it worshiped me and everything about me! I said prayers about St Augustine and it wasn't interested, it didn't want to know how many Hail Marys’ I had said. ‘How much love was in your heart?’ it wanted to know. It mentioned something about Lazarus and how Jesus wept for his friend, ‘the Holy Spirit weeps for its children’.

It made comments about when I would be 52 years old. I remember them now but just after the experience, I couldn't. I would fall in love and have my heart broken, and feel I would never recover and I should not try to commit suicide. The Light asked if I wanted to see all the times, I had been ‘one with it’. I said it would make me egoistic because that would have been what my religion taught; I failed here. I wish I had taken his gift. The light was 1000 times brighter than the Sun, but never burned. You felt you were the only one that mattered. It was. The only description is pure love.

When I tried to write a booklet it was impossible because words are such a dim reflection of this being. There was a flash of light and I was back in my hurting body, instantly. I couldn't move and hurt all over, so I prayed. The De Profundis [Editor’s Note: Psalm 129.] or something like that. I moved my right finger, then my hand then my arm, when I made the sign of the cross I was able to move again.

For a week or two, I could see in the dark. I had the light talking to me and I could read the thoughts of people around me. The first thing the light said was to keep it quiet because if I didn't, I would be locked up. Gradually the light became less and less. I told people and the doctor tried putting me on anti-psychotic medication. That's not mad, right? Nuclear bombs and war are madness, seeing something beautiful and being at peace isn't madness, right?
